VTK: vtkHyperTreeGridNonOrientedUnlimitedSuperCursor Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkHyperTreeGridNonOrientedUnlimitedSuperCursor Class Referenceabstract

Objects for traversal a HyperTreeGrid. More...

`#include <vtkHyperTreeGridNonOrientedUnlimitedSuperCursor.h>`

Inheritance diagram for vtkHyperTreeGridNonOrientedUnlimitedSuperCursor:
[legend]
Collaboration diagram for vtkHyperTreeGridNonOrientedUnlimitedSuperCursor:
[legend]

## Public Types
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkHyperTreeGridNonOrientedUnlimitedSuperCursor * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
virtual vtkHyperTreeGridNonOrientedUnlimitedSuperCursor * | Clone ()
| Create a copy of ‘this’. More...
virtual void | Initialize (vtkHyperTreeGrid *grid, vtkIdType treeIndex, bool create=false)=0
| Initialize cursor at root of given tree index in grid. More...
bool | HasTree (unsigned int icursor)
| JB Return if a Tree pointing exist. More...
vtkIdType | GetGlobalNodeIndex ()
| Return the global index (relative to the grid) of the current vertex in the tree. More...
vtkIdType | GetGlobalNodeIndex (unsigned int icursor)
| JB Return the global index (relative to the grid) of the neighboor icursor current vertex in the tree. More...
vtkHyperTree * | GetInformation (unsigned int icursor, unsigned int &level, bool &leaf, vtkIdType &id)
| JB. More...
unsigned char | GetDimension ()
| Return the dimension of the tree. More...
unsigned char | GetNumberOfChildren ()
| Return the number of children for each node (non-vertex leaf) of the tree. More...
void | SetGlobalIndexStart (vtkIdType index)
| JB. More...
void | SetGlobalIndexFromLocal (vtkIdType index)
| JB. More...
double * | GetOrigin ()
| JB. More...
double * | GetSize ()
void | SetMask (bool state)
| Set the blanking mask is empty or not. More...
void | SetMask (unsigned int icursor, bool state)
bool | IsMasked ()
| Determine whether blanking mask is empty or not. More...
bool | IsMasked (unsigned int icursor)
void | GetBounds (double bounds[6])
| JB Coordonnees de la boite englobante. More...
void | GetBounds (unsigned int icursor, double bounds[6])
void | GetPoint (double point[3])
| JB Coordonnees du centre de la maille. More...
void | GetPoint (unsigned int icursor, double point[3])
bool | IsRoot ()
| Is the cursor at tree root? More...
void | ToChild (unsigned char ichild)
| Move the cursor to child ‘child’ of the current vertex. More...
void | ToRoot ()
| Move the cursor to the root vertex. More...
void | ToParent ()
| Move the cursor to the parent of the current vertex. More...
unsigned int | GetNumberOfCursors ()
| JB. More...
vtkSmartPointer< vtkHyperTreeGridOrientedGeometryCursor > | GetOrientedGeometryCursor (unsigned int icursor)
| Return the cursor pointing into i-th neighbor. More...
vtkSmartPointer< vtkHyperTreeGridNonOrientedGeometryCursor > | GetNonOrientedGeometryCursor (unsigned int icursor)
| Return the cursor pointing into i-th neighbor. More...
vtkHyperTreeGrid * | GetGrid ()
| Set the hyper tree grid to which the cursor is pointing. More...
bool | HasTree ()
| Return if a Tree pointing exist. More...
vtkHyperTree * | GetTree ()
| Set the hyper tree to which the cursor is pointing. More...
vtkHyperTree * | GetTree (unsigned int icursor)
| Set the hyper tree to which the cursor is pointing. More...
vtkIdType | GetVertexId ()
| Return the index of the current vertex in the tree. More...
vtkIdType | GetVertexId (unsigned int icursor)
| Return the index of the current vertex in the tree. More...
bool | IsLeaf ()
| Is the cursor pointing to a leaf? More...
bool | IsLeaf (unsigned int icursor)
| Is the cursor pointing to a leaf? More...
bool | IsRealLeaf ()
| Is the cursor pointing to a leaf? More...
bool | IsRealLeaf (unsigned int icursor)
| Is the cursor pointing to a leaf? More...
bool | IsVirtualLeaf ()
| Is the cursor pointing to a real node in the tree. More...
bool | IsVirtualLeaf (unsigned int icursor)
| Is the cursor pointing to a real node in the tree. More...
double | GetExtensivePropertyRatio ()
| returns the value of the ratio to be applied to extensive value for the current cursor, related to the last real value of the cell. More...
double | GetExtensivePropertyRatio (vtkIdType index)
| returns the value of the ratio to be applied to extensive value for the current cursor, related to the last real value of the cell. More...
unsigned int | GetLevel ()
| Get the level of the tree vertex pointed by the cursor. More...
unsigned int | GetLevel (unsigned int icursor)
| Get the level of the tree vertex pointed by the cursor. More...
unsigned int | GetLastRealLevel ()
| Get the level of the tree vertex pointed by the cursor. More...
unsigned int | GetLastRealLevel (unsigned int icursor)
| Get the level of the tree vertex pointed by the cursor. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkTypeBool | IsTypeOf (const char *type)
static vtkHyperTreeGridNonOrientedUnlimitedSuperCursor * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkHyperTreeGridNonOrientedUnlimitedSuperCursor ()
| Constructor. More...
| ~vtkHyperTreeGridNonOrientedUnlimitedSuperCursor () override
| Destructor. More...
unsigned int | GetIndiceEntry (unsigned int icursor)
| JB. More...
unsigned int | GetIndicePreviousEntry (unsigned int icursor)
| JB La valeur precedente. More...
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
vtkHyperTreeGrid * | Grid = nullptr
| JB Reference sur l'hyper tree grid parcouru actuellement. More...
vtkSmartPointer< vtkHyperTreeGridNonOrientedUnlimitedGeometryCursor > | CentralCursor
| JB. More...
unsigned int | CurrentFirstNonValidEntryByLevel = 0
| JB Hyper tree grid to which the cursor is attached. More...
std::vector< unsigned int > | FirstNonValidEntryByLevel
std::vector< vtkHyperTreeGridGeometryUnlimitedLevelEntry > | Entries
unsigned int | FirstCurrentNeighboorReferenceEntry = 0
| JB La derniere reference valide pour decrire tous les voisins. More...
std::vector< unsigned int > | ReferenceEntries
unsigned int | IndiceCentralCursor = 0
| JB. More...
unsigned int | NumberOfCursors = 0
const unsigned int * | ChildCursorToParentCursorTable = nullptr
const unsigned int * | ChildCursorToChildTable = nullptr
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

Objects for traversal a HyperTreeGrid.

See also
  vtkHyperTreeGridNonOrientedSuperCursor vtkHyperTreeCursor vtkHyperTree vtkHyperTreeGrid

Definition at line 29 of file vtkHyperTreeGridNonOrientedUnlimitedSuperCursor.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkObject vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::Superclass

Definition at line 32 of file vtkHyperTreeGridNonOrientedUnlimitedSuperCursor.h.

## Constructor & Destructor Documentation

## ◆ vtkHyperTreeGridNonOrientedUnlimitedSuperCursor()

vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::vtkHyperTreeGridNonOrientedUnlimitedSuperCursor | ( |  | ) |
| protected

Constructor.

## ◆ ~vtkHyperTreeGridNonOrientedUnlimitedSuperCursor()

vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::~vtkHyperTreeGridNonOrientedUnlimitedSuperCursor | ( |  | ) |
| overrideprotected

Destructor.

## Member Function Documentation

## ◆ IsTypeOf()

static vtkTypeBool vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkObjectBase.

Reimplemented in vtkHyperTreeGridNonOrientedUnlimitedMooreSuperCursor.

## ◆ SafeDownCast()

static vtkHyperTreeGridNonOrientedUnlimitedSuperCursor* vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented in vtkHyperTreeGridNonOrientedUnlimitedMooreSuperCursor.

## ◆ NewInstance()

vtkHyperTreeGridNonOrientedUnlimitedSuperCursor* vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkObject.

## ◆ Clone()

virtual vtkHyperTreeGridNonOrientedUnlimitedSuperCursor* vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::Clone | ( |  | ) |
| virtual

Create a copy of ‘this’.

Postcondition
  results_exists:result!=0

## ◆ Initialize()

virtual void vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::Initialize | ( | vtkHyperTreeGrid * | grid,
|  | vtkIdType | treeIndex,
|  | bool | create = `false`
| ) |  |
| pure virtual

Initialize cursor at root of given tree index in grid.

JB Le create ne s'applique que sur le HT central.

Implemented in vtkHyperTreeGridNonOrientedUnlimitedMooreSuperCursor.

## ◆ GetGrid()

vtkHyperTreeGrid* vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::GetGrid | ( |  | ) |

Set the hyper tree grid to which the cursor is pointing.

## ◆ HasTree() [1/2]

bool vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::HasTree | ( |  | ) |

Return if a Tree pointing exist.

## ◆ HasTree() [2/2]

bool vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::HasTree | ( | unsigned int | icursor | ) |

JB Return if a Tree pointing exist.

## ◆ GetTree() [1/2]

vtkHyperTree* vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::GetTree | ( |  | ) |

Set the hyper tree to which the cursor is pointing.

## ◆ GetTree() [2/2]

vtkHyperTree* vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::GetTree | ( | unsigned int | icursor | ) |

Set the hyper tree to which the cursor is pointing.

## ◆ GetVertexId() [1/2]

vtkIdType vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::GetVertexId | ( |  | ) |

Return the index of the current vertex in the tree.

## ◆ GetVertexId() [2/2]

vtkIdType vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::GetVertexId | ( | unsigned int | icursor | ) |

Return the index of the current vertex in the tree.

## ◆ GetGlobalNodeIndex() [1/2]

vtkIdType vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::GetGlobalNodeIndex | ( |  | ) |

Return the global index (relative to the grid) of the current vertex in the tree.

## ◆ GetGlobalNodeIndex() [2/2]

vtkIdType vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::GetGlobalNodeIndex | ( | unsigned int | icursor | ) |

JB Return the global index (relative to the grid) of the neighboor icursor current vertex in the tree.

## ◆ GetInformation()

vtkHyperTree* vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::GetInformation | ( | unsigned int | icursor,
|  | unsigned int & | level,
|  | bool & | leaf,
|  | vtkIdType & | id
| ) |  |

JB.

## ◆ GetDimension()

unsigned char vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::GetDimension | ( |  | ) |

Return the dimension of the tree.

Postcondition
  positive_result: result>0

## ◆ GetNumberOfChildren()

unsigned char vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::GetNumberOfChildren | ( |  | ) |

Return the number of children for each node (non-vertex leaf) of the tree.

Postcondition
  positive_number: result>0

## ◆ SetGlobalIndexStart()

void vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::SetGlobalIndexStart | ( | vtkIdType | index | ) |

JB.

## ◆ SetGlobalIndexFromLocal()

void vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::SetGlobalIndexFromLocal | ( | vtkIdType | index | ) |

JB.

## ◆ GetOrigin()

double* vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::GetOrigin | ( |  | ) |

JB.

## ◆ GetSize()

double* vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::GetSize | ( |  | ) |

## ◆ SetMask() [1/2]

void vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::SetMask | ( | bool | state | ) |

Set the blanking mask is empty or not.

Precondition
  not_tree: tree

## ◆ SetMask() [2/2]

void vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::SetMask | ( | unsigned int | icursor,
|  | bool | state
| ) |  |

## ◆ IsMasked() [1/2]

bool vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::IsMasked | ( |  | ) |

Determine whether blanking mask is empty or not.

## ◆ IsMasked() [2/2]

bool vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::IsMasked | ( | unsigned int | icursor | ) |

## ◆ GetBounds() [1/2]

void vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::GetBounds | ( | double | bounds[6] | ) |

JB Coordonnees de la boite englobante.

## ◆ GetBounds() [2/2]

void vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::GetBounds | ( | unsigned int | icursor,
|  | double | bounds[6]
| ) |  |

## ◆ GetPoint() [1/2]

void vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::GetPoint | ( | double | point[3] | ) |

JB Coordonnees du centre de la maille.

## ◆ GetPoint() [2/2]

void vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::GetPoint | ( | unsigned int | icursor,
|  | double | point[3]
| ) |  |

## ◆ IsLeaf() [1/2]

bool vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::IsLeaf | ( |  | ) |

Is the cursor pointing to a leaf?

## ◆ IsLeaf() [2/2]

bool vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::IsLeaf | ( | unsigned int | icursor | ) |

Is the cursor pointing to a leaf?

## ◆ IsRealLeaf() [1/2]

bool vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::IsRealLeaf | ( |  | ) |

Is the cursor pointing to a leaf?

## ◆ IsRealLeaf() [2/2]

bool vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::IsRealLeaf | ( | unsigned int | icursor | ) |

Is the cursor pointing to a leaf?

## ◆ IsVirtualLeaf() [1/2]

bool vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::IsVirtualLeaf | ( |  | ) |

Is the cursor pointing to a real node in the tree.

## ◆ IsVirtualLeaf() [2/2]

bool vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::IsVirtualLeaf | ( | unsigned int | icursor | ) |

Is the cursor pointing to a real node in the tree.

## ◆ GetExtensivePropertyRatio() [1/2]

double vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::GetExtensivePropertyRatio | ( |  | ) |

returns the value of the ratio to be applied to extensive value for the current cursor, related to the last real value of the cell.

Return 1 for real cells, otherwise return the portion of the area covered by the subdivieded cell. For intensive valued fields this ratio should not be used.

## ◆ GetExtensivePropertyRatio() [2/2]

double vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::GetExtensivePropertyRatio | ( | vtkIdType | index | ) |

returns the value of the ratio to be applied to extensive value for the current cursor, related to the last real value of the cell.

Return 1 for real cells, otherwise return the portion of the area covered by the subdivieded cell. For intensive valued fields this ratio should not be used.

## ◆ IsRoot()

bool vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::IsRoot | ( |  | ) |

Is the cursor at tree root?

## ◆ GetLevel() [1/2]

unsigned int vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::GetLevel | ( |  | ) |

Get the level of the tree vertex pointed by the cursor.

## ◆ GetLevel() [2/2]

unsigned int vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::GetLevel | ( | unsigned int | icursor | ) |

Get the level of the tree vertex pointed by the cursor.

## ◆ GetLastRealLevel() [1/2]

unsigned int vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::GetLastRealLevel | ( |  | ) |

Get the level of the tree vertex pointed by the cursor.

## ◆ GetLastRealLevel() [2/2]

unsigned int vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::GetLastRealLevel | ( | unsigned int | icursor | ) |

Get the level of the tree vertex pointed by the cursor.

## ◆ ToChild()

void vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::ToChild | ( | unsigned char | ichild | ) |

Move the cursor to child ‘child’ of the current vertex.

Precondition
  not_tree: HasTree()
  not_leaf: !IsLeaf()
  valid_child: ichild>=0 && ichild<GetNumberOfChildren()
  depth_limiter: GetLevel() <= GetDepthLimiter()

## ◆ ToRoot()

void vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::ToRoot | ( |  | ) |

Move the cursor to the root vertex.

Precondition
  can be root

Postcondition
  is_root: IsRoot()

## ◆ ToParent()

void vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::ToParent | ( |  | ) |

Move the cursor to the parent of the current vertex.

Authorized if HasHistory return true.

Precondition
  Non_root: !IsRoot()

## ◆ GetNumberOfCursors()

unsigned int vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::GetNumberOfCursors | ( |  | ) |
| inline

JB.

Definition at line 224 of file vtkHyperTreeGridNonOrientedUnlimitedSuperCursor.h.

## ◆ GetOrientedGeometryCursor()

vtkSmartPointer<vtkHyperTreeGridOrientedGeometryCursor> vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::GetOrientedGeometryCursor | ( | unsigned int | icursor | ) |

Return the cursor pointing into i-th neighbor.

The neighborhood definition depends on the type of cursor. NB: Only super cursors keep track of neighborhoods.

## ◆ GetNonOrientedGeometryCursor()

vtkSmartPointer<vtkHyperTreeGridNonOrientedGeometryCursor> vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::GetNonOrientedGeometryCursor | ( | unsigned int | icursor | ) |

Return the cursor pointing into i-th neighbor.

The neighborhood definition depends on the type of cursor. NB: Only super cursors keep track of neighborhoods.

## ◆ GetIndiceEntry()

unsigned int vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::GetIndiceEntry | ( | unsigned int | icursor | ) |
| protected

JB.

## ◆ GetIndicePreviousEntry()

unsigned int vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::GetIndicePreviousEntry | ( | unsigned int | icursor | ) |
| protected

JB La valeur precedente.

Dans le voisinage, ce n'est pas forcement un parent.

## Member Data Documentation

## ◆ Grid

vtkHyperTreeGrid* vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::Grid = nullptr
| protected

JB Reference sur l'hyper tree grid parcouru actuellement.

Definition at line 256 of file vtkHyperTreeGridNonOrientedUnlimitedSuperCursor.h.

## ◆ CentralCursor

vtkSmartPointer<vtkHyperTreeGridNonOrientedUnlimitedGeometryCursor> vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::CentralCursor
| protected

JB.

Definition at line 261 of file vtkHyperTreeGridNonOrientedUnlimitedSuperCursor.h.

## ◆ CurrentFirstNonValidEntryByLevel

unsigned int vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::CurrentFirstNonValidEntryByLevel = 0
| protected

JB Hyper tree grid to which the cursor is attached.

Definition at line 266 of file vtkHyperTreeGridNonOrientedUnlimitedSuperCursor.h.

## ◆ FirstNonValidEntryByLevel

std::vector<unsigned int> vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::FirstNonValidEntryByLevel
| protected

Definition at line 267 of file vtkHyperTreeGridNonOrientedUnlimitedSuperCursor.h.

## ◆ Entries

std::vector<vtkHyperTreeGridGeometryUnlimitedLevelEntry> vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::Entries
| protected

Definition at line 268 of file vtkHyperTreeGridNonOrientedUnlimitedSuperCursor.h.

## ◆ FirstCurrentNeighboorReferenceEntry

unsigned int vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::FirstCurrentNeighboorReferenceEntry = 0
| protected

JB La derniere reference valide pour decrire tous les voisins.

C'est donc aussi l'offset du premier voisin du dernier niveau.

Definition at line 274 of file vtkHyperTreeGridNonOrientedUnlimitedSuperCursor.h.

## ◆ ReferenceEntries

std::vector<unsigned int> vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::ReferenceEntries
| protected

Definition at line 275 of file vtkHyperTreeGridNonOrientedUnlimitedSuperCursor.h.

## ◆ IndiceCentralCursor

unsigned int vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::IndiceCentralCursor = 0
| protected

JB.

Definition at line 290 of file vtkHyperTreeGridNonOrientedUnlimitedSuperCursor.h.

## ◆ NumberOfCursors

unsigned int vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::NumberOfCursors = 0
| protected

Definition at line 293 of file vtkHyperTreeGridNonOrientedUnlimitedSuperCursor.h.

## ◆ ChildCursorToParentCursorTable

const unsigned int* vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::ChildCursorToParentCursorTable = nullptr
| protected

Definition at line 297 of file vtkHyperTreeGridNonOrientedUnlimitedSuperCursor.h.

## ◆ ChildCursorToChildTable

const unsigned int* vtkHyperTreeGridNonOrientedUnlimitedSuperCursor::ChildCursorToChildTable = nullptr
| protected

Definition at line 301 of file vtkHyperTreeGridNonOrientedUnlimitedSuperCursor.h.

The documentation for this class was generated from the following file:

- Common/DataModel/vtkHyperTreeGridNonOrientedUnlimitedSuperCursor.h